project(SEGGER_RTT LANGUAGES C)

add_library(SEGGER_RTT STATIC
    SEGGER_RTT.c
    SEGGER_RTT_printf.c
)

target_include_directories(SEGGER_RTT PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(SEGGER_RTT PUBLIC CMSIS)
